"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DiscordListener {
    constructor({ event, once }) {
        this.once = false;
        if (!event)
            throw new Error(`Event error found, trying to proccess: eventName - ${event}`);
        this.event = event;
        this.once = once;
        this.enabled = true;
    }
    onLoad(client) {
        console.log(`Event ${this.event} loaded.`);
    }
    onUnload(client) {
        console.log(`Event ${this.event} unloaded.`);
    }
}
exports.default = DiscordListener;
