import { Collection, Message } from "discord.js";
import { ICommand } from "../structures/DiscordCommand";
import TwokeiClient from "../client/TwokeiClient";
export default class CommandHandler extends Collection<String, ICommand> {
    private client;
    constructor(client: TwokeiClient, dir: string);
    private setup;
    private registerCommand;
    private unRegisterCommand;
    performCommand(message: Message): void;
    private filterMessage;
}
